html{
    height: 100%;
    width: 100%;
    position: fixed;
}

body{
    background-color: #5193d1;
    height: 100vh;
    padding: 0;
    margin: 0;
    display: block;
}


.main{

    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;

    .middle{
        height: calc(100vh - 250px);
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: 30px;
        justify-content: center;
        align-items: center;

        .title{
            color: white;
            font-size: 40px;
        }

        .timer{
            color: white;
            display: flex;
            gap: 30px;

            .timeItem{
                font-size: 150px;
            }

            .timeSeparator{
                font-size: 150px;
                margin-top: -15px;
            }

            .timeLabel{
                color: #5193d1;
                background-color: white;
                border-radius: 5px;
                font-size: 20px;
                padding: 5px 20px;
                text-align: center;
            }
        }
    }

    .footer{
        height: 250px;
        background-color: white;
        display: flex;

        .date{
            color: #5193d1;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 20px;
            background-color: #eee;

            .currentTime{
                font-size: 150px;
            }

            .currentDate{
                font-size: 25px;
            }
        }

        .prayerTimes{
            display: flex;
            color: #5193d1;
            flex-grow: 1;
        

            .prayerTime{
                margin: 2px 20px;
                position: relative;
                display: flex;
                flex-grow: 1;
                row-gap: 10px;
                min-width: 150px;
                flex-direction: column;
                justify-content: center;
                align-items: center;

                .name{
                    font-size: 40px;
                }
                .time1{
                    font-size: 60px;
                }
                .time2{
                    color: white;
                    background-color: #5193d1;
                    padding: 5px 15px;
                    font-size: 40px;
                    border-radius: 5px;
                }
            }


            .prayerSeparator{
                background-image: url(separator.png);
                background-repeat: no-repeat;
                background-position: center;
                height: 100%;
                width: 40px;
            }

            .prayerTime.active{
                color: white;
                background-color: #5193d1;
                border-radius: 10px;

                .time2{
                    color: #5193d1;
                    background-color: white;
                }
            }

        }
    }
}